Module org.apache.derby.tools
Package org.apache.derby.jdbc

## Class BasicEmbeddedXADataSource40

- java.lang.Object
- - org.apache.derby.jdbc.BasicEmbeddedDataSource40
  - - org.apache.derby.jdbc.BasicEmbeddedXADataSource40

- All Implemented Interfaces:
    `Serializable`, `Wrapper`, `CommonDataSource`, `DataSource`, `XADataSource`, `org.apache.derby.iapi.jdbc.EmbeddedDataSourceInterface`, `org.apache.derby.iapi.jdbc.EmbeddedXADataSourceInterface`

      public class BasicEmbeddedXADataSource40
      extends BasicEmbeddedDataSource40
      implements org.apache.derby.iapi.jdbc.EmbeddedXADataSourceInterface, XADataSource

  This data source is suitable for an application using embedded Derby, running on Java 8 Compact Profile 2 or higher.

  BasicEmbeddedXADataSource40 is similar to EmbeddedXADataSource40, except that it does not support JNDI naming, i.e. it does not implement `javax.naming.Referenceable`.
  See Also:
    `EmbeddedXADataSource40`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BasicEmbeddedXADataSource40()` | Constructs a basic embedded XA data source.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.derby.iapi.jdbc.ResourceAdapter` | `getResourceAdapter()` |
    `XAConnection` | `getXAConnection()` |
    `XAConnection` | `getXAConnection​(String user, String password)` |

    - ### Methods inherited from class org.apache.derby.jdbc.BasicEmbeddedDataSource40

      `equals, getAttributesAsPassword, getConnection, getConnection, getConnection, getConnectionAttributes, getCreateDatabase, getDatabaseName, getDataSourceName, getDescription, getLoginTimeout, getLogWriter, getParentLogger, getPassword, getShutdownDatabase, getUser, hashCode, isWrapperFor, setAttributesAsPassword, setConnectionAttributes, setCreateDatabase, setDatabaseName, setDataSourceName, setDescription, setLoginTimeout, setLogWriter, setPassword, setShutdownDatabase, setUser, unwrap`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.sql.CommonDataSource

      `getParentLogger`

    - ### Methods inherited from interface javax.sql.DataSource

      `createConnectionBuilder, getConnection, getConnection, getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

    - ### Methods inherited from interface org.apache.derby.iapi.jdbc.EmbeddedDataSourceInterface

      `getAttributesAsPassword, getConnection, getConnectionAttributes, getCreateDatabase, getDatabaseName, getDataSourceName, getDescription, getPassword, getShutdownDatabase, getUser, setAttributesAsPassword, setConnectionAttributes, setCreateDatabase, setDatabaseName, setDataSourceName, setDescription, setPassword, setShutdownDatabase, setUser`

    - ### Methods inherited from interface org.apache.derby.iapi.jdbc.EmbeddedXADataSourceInterface

      `createShardingKeyBuilder`

    - ### Methods inherited from interface java.sql.Wrapper

      `isWrapperFor, unwrap`

    - ### Methods inherited from interface javax.sql.XADataSource

      `createXAConnectionBuilder, getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

- - ### Constructor Detail

    - #### BasicEmbeddedXADataSource40

          public BasicEmbeddedXADataSource40()

      Constructs a basic embedded XA data source. See the class Javadoc.

  - ### Method Detail

    - #### getXAConnection

          public final XAConnection getXAConnection()
                                             throws SQLException

      Specified by:
        `getXAConnection` in interface `XADataSource`
      Throws:
        `SQLException`

    - #### getXAConnection

          public final XAConnection getXAConnection​(String user,
                                                    String password)
                                             throws SQLException

      Specified by:
        `getXAConnection` in interface `XADataSource`
      Throws:
        `SQLException`

    - #### getResourceAdapter

          public org.apache.derby.iapi.jdbc.ResourceAdapter getResourceAdapter()

      Specified by:
        `getResourceAdapter` in interface `org.apache.derby.iapi.jdbc.EmbeddedXADataSourceInterface`
      Returns:
        The ResourceAdapter instance for the underlying database